mail/qsmtp - The NetBSD Packages Collection

Drop-in replacement for qmail-smtpd and qmail-remote

Qsmtp is a drop-in replacement for qmail-smtpd and qmail-remote.
The benefits:

- Fast and small: written in plain C
- IPv6 clean
- Many antispam modules included, e.g. SPF, IP blacklists, domain
  blacklists, badmailfrom, helo filtering
- Easy API to add your own spamfilters
- For vpopmail hosts: does not create bounces for non-existing users
- Tested: includes unit tests, nightly checks available at
  

Build dependencies

devel/libowfat pkgtools/cwrappers devel/cmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfQsmtp-0.38.tgz
NetBSD 8.0earmv7hfQsmtp-0.37nb2.tgz
NetBSD 8.0earmv7hfQsmtp-0.38.tgz
NetBSD 8.0i386Qsmtp-0.37nb2.tgz
NetBSD 8.0i386Qsmtp-0.38.tgz
NetBSD 8.0i386Qsmtp-0.38.tgz
NetBSD 8.0powerpcQsmtp-0.37nb2.tgz
NetBSD 8.0powerpcQsmtp-0.38.tgz
NetBSD 8.0powerpcQsmtp-0.38.tgz
NetBSD 8.0x86_64Qsmtp-0.38.tgz
NetBSD 8.0x86_64Qsmtp-0.37nb2.tgz
NetBSD 8.0x86_64Qsmtp-0.38.tgz
NetBSD 9.0aarch64Qsmtp-0.38.tgz
NetBSD 9.0aarch64Qsmtp-0.37nb2.tgz
NetBSD 9.0aarch64Qsmtp-0.38.tgz
NetBSD 9.0alphaQsmtp-0.38.tgz
NetBSD 9.0alphaQsmtp-0.37nb2.tgz
NetBSD 9.0alphaQsmtp-0.38.tgz
NetBSD 9.0earmv6hfQsmtp-0.38.tgz
NetBSD 9.0earmv6hfQsmtp-0.37nb2.tgz
NetBSD 9.0earmv6hfQsmtp-0.38.tgz
NetBSD 9.0earmv6hfQsmtp-0.38.tgz
NetBSD 9.0earmv7hfQsmtp-0.38.tgz
NetBSD 9.0earmv7hfQsmtp-0.37nb2.tgz
NetBSD 9.0earmv7hfQsmtp-0.38.tgz
NetBSD 9.0earmv7hfQsmtp-0.38.tgz
NetBSD 9.0i386Qsmtp-0.37nb2.tgz
NetBSD 9.0i386Qsmtp-0.38.tgz
NetBSD 9.0i386Qsmtp-0.38.tgz
NetBSD 9.0mips64ebQsmtp-0.38.tgz
NetBSD 9.0mips64ebQsmtp-0.37nb2.tgz
NetBSD 9.0mips64ebQsmtp-0.38.tgz
NetBSD 9.0powerpcQsmtp-0.38.tgz
NetBSD 9.0powerpcQsmtp-0.37nb2.tgz
NetBSD 9.0sparc64Qsmtp-0.38.tgz
NetBSD 9.0sparc64Qsmtp-0.37nb2.tgz
NetBSD 9.0sparc64Qsmtp-0.38.tgz
NetBSD 9.0x86_64Qsmtp-0.38.tgz
NetBSD 9.0x86_64Qsmtp-0.38.tgz
NetBSD 9.0x86_64Qsmtp-0.38.tgz
NetBSD 9.0x86_64Qsmtp-0.38.tgz
NetBSD 9.0x86_64Qsmtp-0.37nb2.tgz
NetBSD 9.0x86_64Qsmtp-0.38.tgz
NetBSD 9.0x86_64Qsmtp-0.38.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.